$Swol::AdminTag[0] = "\c6[\c0Admin\c6] ";
$Swol::AdminTag[1] = "\c6[\c5Super\c6] ";
$Swol::AdminTag[2] = "\c6[\c5Host\c6] ";

$Swol::AdminTag[3] = "<bitmap:Add-Ons/Client_AdminTags/shieldBronze.png>";
$Swol::AdminTag[4] = "<bitmap:Add-Ons/Client_AdminTags/shieldSilver.png>";
$Swol::AdminTag[5] = "<bitmap:Add-Ons/Client_AdminTags/shieldGold.png>";

package swol_clientAdmin
{
	function swol_IsAdmin(%name)
	{
		for(%i=0;%i<npl_list.rowcount();%i++)
		{
			if(getfield(npl_list.getrowtext(%i), 1) $= %name)
			{
				if(getfield(npl_list.getrowtext(%i), 0) $= "S")
				{
					if(strLen($ServerInfo::Name) > 0)
					{
						%check = strPos($ServerInfo::Name,"\'s");
						if(%check == -1)
						%check = strPos($ServerInfo::Name,"s\'");
						
						if(%check != -1)
						{
							if(getSubStr($ServerInfo::Name,0,%check) $= %name)
							return 3;
						}
					}
					return 2;
				}
				if(getfield(npl_list.getrowtext(%i), 0) $= "A")
				return 1;
				
				return 0;
			}
		}
		return -1;
	}
	function clientCmdChatMessage(%cl,%voice,%pitch,%line,%pre,%name,%suf,%msg)
	{
		%adminLvl = swol_IsAdmin(%name);
		if(strPos(%pre,"[Admin]") > -1 || strPos(%pre,"[Super]") > -1 || strPos(%pre,"[Host]") > -1 || strPos(%pre,"[SA]") > -1 || strPos(%pre,"[A]") > -1)
		return parent::clientCmdChatMessage(%cl,%voice,%pitch,%line,%pre,%name,%suf,%msg);
		if(strPos(%pre,"<bitmap:add-ons/") > -1 && strPos(%pre,"admin") > -1)
		return parent::clientCmdChatMessage(%cl,%voice,%pitch,%line,%pre,%name,%suf,%msg);
	
		%tmp = getWords(%line,1,getWordCount(%line));
		if(%adminLvl > 0)
		{
			if(!$Pref::Swol_AdminTagType)
			%line =  $Swol::AdminTag[%adminLvl-1] @ %tmp;
			else
			%line =  $Swol::AdminTag[%adminLvl+2] @ %tmp;
		}
		return parent::clientCmdChatMessage(%cl,%voice,%pitch,%line,%pre,%name,%suf,%msg);
	}
	function swol_adminTagsIni()
	{
		if(!$Swol::AdminTagsOpt)
		{
			%obj = new GuiCheckBoxCtrl(Swol_AdminTagToggleCheck)
			{
				profile = "GuiCheckBoxProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "214 37";
				extent = "200 30";
				minExtent = "8 2";
				visible = 1;
				variable = "$Pref::Swol_AdminTagType";
				command = "";
				text = "Use admin shields instead of tags";
				groupNum = -1;
				buttonType = "ToggleButton";
			};
			OptAdvGraphicsPane.getObject(2).getObject(0).getObject(3).add(%obj);
			$Swol::AdminTagsOpt = 1;
		}
	}
};
ActivatePackage(swol_clientAdmin);
schedule(0,0,swol_adminTagsIni);